Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Methods | Inherited Methods | [Expand All]
public interface

# Game

implements Parcelable Freezable<T>

com.google.android.gms.games.Game

Known Indirect Subclasses
GameEntity

GameEntity | Data object representing a set of Game data.

## Class Overview

Data interface for retrieving game information.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Public Methods
abstract int | getAchievementTotalCount() Retrieves the number of achievements registered for this game.
abstract String | getApplicationId() Retrieves the application ID for this game.
abstract String | getDescription() Retrieves the description of this game.
abstract void | getDescription(CharArrayBuffer dataOut) Loads the description string into the given `CharArrayBuffer`.
abstract String | getDeveloperName() Retrieves the name of the developer of this game.
abstract void | getDeveloperName(CharArrayBuffer dataOut) Loads the developer name into the given `CharArrayBuffer`.
abstract String | getDisplayName() Retrieves the display name for this game.
abstract void | getDisplayName(CharArrayBuffer dataOut) Loads the display name string into the given `CharArrayBuffer`.
abstract Uri | getFeaturedImageUri() Retrieves an image URI that can be used to load the game's featured (banner) image from Google Play.
abstract Uri | getHiResImageUri() Retrieves an image URI that can be used to load the game's hi-res image.
abstract Uri | getIconImageUri() Retrieves an image URI that can be used to load the game's icon.
abstract int | getLeaderboardCount() Gets the number of leaderboards registered for this game.
abstract String | getPrimaryCategory() Retrieves the primary category of the game - this is may be null.
abstract String | getSecondaryCategory() Retrieves the secondary category of the game - this may be null.
abstract boolean | isRealTimeMultiplayerEnabled() Indicates whether or not this game supports real-time multiplayer.
abstract boolean | isTurnBasedMultiplayerEnabled() Indicates whether or not this game supports turn-based multiplayer.

[Expand] Inherited Methods

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

From interface com.google.android.gms.common.data.Freezable

abstract T | freeze() Freeze a volatile representation into an immutable representation.
abstract boolean | isDataValid() Check to see if this object is valid for use.

## Public Methods

#### public abstract int getAchievementTotalCount ()

Retrieves the number of achievements registered for this game.

##### Returns

- The number of achievements registered for this game.

#### public abstract String getApplicationId ()

Retrieves the application ID for this game.

##### Returns

- The application ID for this game.

#### public abstract String getDescription ()

Retrieves the description of this game.

##### Returns

- The description of this game.

#### public abstract void getDescription (CharArrayBuffer dataOut)

Loads the description string into the given `CharArrayBuffer`.

##### Parameters

dataOut | The buffer to load the data into.

#### public abstract String getDeveloperName ()

Retrieves the name of the developer of this game.

##### Returns

- The name of the developer of this game.

#### public abstract void getDeveloperName (CharArrayBuffer dataOut)

Loads the developer name into the given `CharArrayBuffer`.

##### Parameters

dataOut | The buffer to load the data into.

#### public abstract String getDisplayName ()

Retrieves the display name for this game.

##### Returns

- The display name for this game.

#### public abstract void getDisplayName (CharArrayBuffer dataOut)

Loads the display name string into the given `CharArrayBuffer`.

##### Parameters

dataOut | The buffer to load the data into.

#### public abstract Uri getFeaturedImageUri ()

Retrieves an image URI that can be used to load the game's featured (banner) image from Google Play. Returns null if game has no featured image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- A URI that can be used to load the game's featured image, or null if the game has no featured image.

#### public abstract Uri getHiResImageUri ()

Retrieves an image URI that can be used to load the game's hi-res image. Returns null if game has no hi-res image.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- A URI that can be used to load the game's hi-res image, or null if the game has no hi-res image.

#### public abstract Uri getIconImageUri ()

Retrieves an image URI that can be used to load the game's icon. Returns null if game has no icon.

To retrieve the Image from the `Uri`, use `ImageManager`.

##### Returns

- A URI that can be used to load the game's icon, or null if the game has no icon.

#### public abstract int getLeaderboardCount ()

Gets the number of leaderboards registered for this game.

##### Returns

- The number of leaderboards registered for this game.

#### public abstract String getPrimaryCategory ()

Retrieves the primary category of the game - this is may be null.

##### Returns

- The primary category of the game.

#### public abstract String getSecondaryCategory ()

Retrieves the secondary category of the game - this may be null.

##### Returns

- The secondary category of the game, or null if not provided.

#### public abstract boolean isRealTimeMultiplayerEnabled ()

Indicates whether or not this game supports real-time multiplayer.

##### Returns

- Whether or not this game supports real-time mulitplayer.

#### public abstract boolean isTurnBasedMultiplayerEnabled ()

Indicates whether or not this game supports turn-based multiplayer.

##### Returns

- Whether or not this game supports turn-based mulitplayer.